Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata.impl
Class InsertOnlyApprover

    java.lang.Object
      org.apache.muse.ws.resource.properties.listeners.AbstractChangeApprover
          org.apache.muse.ws.resource.metadata.impl.InsertOnlyApprover

All Implemented Interfaces:
  PropertyChangeApprover

public class InsertOnlyApprover
extends AbstractChangeApprover

InsertOnlyApprover is a PropertyChangeApprover that throws an exception if a request tries to perform a WS-RP Delete or Update on a property. In this case, the property is not immutable (since we can insert new instances of it), but the property instances are.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`InsertOnlyApprover(QName qname)`

Method Summary
`void` | `validateChange(org.w3c.dom.Element oldValue, org.w3c.dom.Element newValue, java.lang.Object token)` Throws an exception if the first parameter is not null (signifying an update or deletion of an existing property).

Methods inherited from class org.apache.muse.ws.resource.properties.listeners.AbstractChangeApprover
`getPropertyName, isSecure, setSecurityToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertOnlyApprover

    public InsertOnlyApprover(QName qname)

Method Detail

### validateChange

    public void validateChange(org.w3c.dom.Element oldValue,
                               org.w3c.dom.Element newValue,
                               java.lang.Object token)
                        throws BaseFault

  Throws an exception if the first parameter is not null (signifying an update or deletion of an existing property).

  Parameters:
    `oldValue` - The current (about to be "old") value of the resource property. This should be null if the change is a WS-RP Insert.
    `newValue` - The potential new value of the resource property. This should be null if the change is a WS-RP Delete.
    `token` - The security token provided by the caller who wishes to make the property change.
  Throws:
    `BaseFault` -
    - If the modification is not allowed for any reason.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD